=== debian/changelog ===
ros-indigo-mrpt-bridge (0.1.14-0trusty) trusty; urgency=high

  * fix build against mrpt < 1.5.0
  * Contributors: Jose-Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 11 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-bridge (0.1.13-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-bridge (0.1.12-0trusty) trusty; urgency=high

  * Put the ROS log setting withing if MRPT_VERSION>=0x150 so it doesn't break the compilation agains .deb mrpt libs
  * Add a check for an empty string.
  * Strip trailing n in logs if present.
  * Add a callback function to stream MRPT logs to ROS.
  * Contributors: Jorge Santos, Logrus

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-bridge (0.1.11-0trusty) trusty; urgency=high

  * fix unit test error due to uninitialized tf::Pose
  * fix deprecated PCL header
  * Add landmark to bridge.
  * Contributors: Jose-Luis Blanco-Claraco, Logrus

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 20 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-bridge (0.1.10-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 04 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-bridge (0.1.9-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 04 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-bridge (0.1.8-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 28 Jun 2016 22:00:00 -0000

ros-indigo-mrpt-bridge (0.1.7-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 19 Jun 2016 22:00:00 -0000

ros-indigo-mrpt-bridge (0.1.6-0trusty) trusty; urgency=high

  * New ObservationRangeBeacon message.
  * More descriptive error msgs
  * Contributors: Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Raphael Zack

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 19 Mar 2016 23:00:00 -0000

ros-indigo-mrpt-bridge (0.1.5-0trusty) trusty; urgency=high

  * mrpt_bridge: BUGFIX in convert() for 360deg scans
  * Cleaner build against mrpt 1.3.0
  * Fix build against mrpt 1.3.0
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 28 Apr 2015 22:00:00 -0000

ros-indigo-mrpt-bridge (0.1.4-0trusty) trusty; urgency=high

  * Solved some old 'TODO' comments
  * Removed 'mrpt' dep from catkin_package().
    I *think* this is giving problems to dependant pkgs and is not needed...
  * Start new pkg mrpt_local_obstacles.
    Fixes in package.xml's
  * Better doxygen docs
  * localization: New param to configure sensor sources in a flexible way
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 26 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-bridge (0.1.3-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-bridge (0.1.2-0trusty) trusty; urgency=high

  * Fix missing build dependency (nav_msgs)

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-bridge (0.1.1-0trusty) trusty; urgency=high

  * First public binary release.

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-bridge (0.1.0-0trusty) trusty; urgency=high

  * consistent version numbers
  * Fixes broken dependencies
  * Removed obsolete rawlog_play & fix build of other nodes.
  * Fix build with mrpt 1.2.x
  * localization uses tf odom
  * localization working like amcl

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 23:00:00 -0000
