=== debian/control ===
Source: ros-indigo-mrpt-bridge
Section: misc
Priority: extra
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, libmrpt-dev, libpcl-1.7-all-dev, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-mrpt-msgs, ros-indigo-nav-msgs, ros-indigo-pcl-conversions, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://wiki.ros.org/mrpt_bridge
Standards-Version: 3.9.2

Package: ros-indigo-mrpt-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmrpt-dev, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-mrpt-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: The mrpt_bridge package
